Skip to main content
GET
Get transaction details

Authorizations

X-App-Id
string
header
required

App ID for authentication

X-Api-Key
string
header
required

API Key for authentication

Path Parameters

id
string<uuid>
required

The UUID of the transaction to retrieve

Response

Successful operation

Returned by GET /transactions/:id. Note: this endpoint returns the transaction object directly, not wrapped in a transaction key. This differs from /orders, /invoices, /customers etc, which wrap their resource. Kept this way for v1 backwards compatibility.

uuid
string<uuid>
created_at
string<date-time>
currency
enum<string>

ISO currency code. Most resources support these. Products are limited to USD, CAD, EUR, GBP, AUD.

Available options:
USD,
CAD,
GBP,
EUR,
AUD,
JPY,
INR
amount
integer
fee
integer
payment_source
string
memo
string | null
payout_date
string<date> | null

Null if the transaction has not been paid out yet.

net_amount
integer
self_recorded
boolean
display_type
string
txn_files
object[]
invoice
object | null

Null if this transaction is not linked to an invoice (e.g. an unallocated payment).

recipient
object